Package org.apache.tiles.request

# Class AbstractRequest

java.lang.Object
org.apache.tiles.request.AbstractRequest

All Implemented Interfaces:
  `DispatchRequest`, `Request`

Direct Known Subclasses:
  `AbstractClientRequest`, `DispatchRequestWrapper`

public abstract class AbstractRequest extends Object implements DispatchRequest
Base request.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FORCE_INCLUDE_ATTRIBUTE_NAME`
  Name of the attribute used to store the force-include option.

  ### Fields inherited from interface org.apache.tiles.request.Request

  `APPLICATION_SCOPE, REQUEST_SCOPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `isForceInclude()`
  Checks if, when dispatching to a resource, the result must be included and not forwarded to.
  `protected void`
  `setForceInclude(boolean forceInclude)`
  Sets the flag to force inclusion at next dispatch.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.tiles.request.DispatchRequest

  `dispatch, include, setContentType`

  ### Methods inherited from interface org.apache.tiles.request.Request

  `getApplicationContext, getAvailableScopes, getContext, getHeader, getHeaderValues, getOutputStream, getParam, getParamValues, getPrintWriter, getRequestLocale, getResponseHeaders, getWriter, isResponseCommitted, isUserInRole`

- ## Field Details

  - ### FORCE_INCLUDE_ATTRIBUTE_NAME

    public static final String FORCE_INCLUDE_ATTRIBUTE_NAME
    Name of the attribute used to store the force-include option.

- ## Constructor Details

  - ### AbstractRequest

    public AbstractRequest()

- ## Method Details

  - ### setForceInclude

    protected void setForceInclude(boolean forceInclude)
    Sets the flag to force inclusion at next dispatch.
    Parameters:
      `forceInclude` - `true` means that, at the next dispatch, response will be included and never forwarded.

  - ### isForceInclude

    protected boolean isForceInclude()
    Checks if, when dispatching to a resource, the result must be included and not forwarded to.
    Returns:
      `true` if inclusion is forced.